Subject: bug#23200: XFCE: selecting a style has no effect

From: [email-masked] (Ludovic Courtès)
Date: Mon, 04 Apr 2016 22:26:55 +0200

Chris Marusich <[email-masked]> skribis:

> Ricardo Wurmus <[email-masked]> writes:
>
>> Here’s what worked for me:
>>
>> * install gnome-themes-standard into the system profile
>> * set GTK_DATA_PREFIX to “/run/current-system/profile”
>
> Can it be arranged for these two things to be done automatically in the
> installation image?  I think it would be simple to add
> "gnome-themes-standard" to the sample desktop.scm file we provide, but
> I'm not sure how we would ensure that GTK_DATA_PREFIX gets set up
> correctly.  Is there a mechanism in GuixSD for adding such environment
> variables to /etc/profile, for example?

Definitely.

I’ve tested that with this patch changing colors under the “Style” tab
in Xfce does have an effect.

I’ll commit it shortly if there are no objections.

Thanks!

Ludo’.

diff --git a/gnu/system.scm b/gnu/system.scm
index 8e05254..a8744ea 100644
--- a/gnu/system.scm
+++ b/gnu/system.scm
@@ -421,6 +421,9 @@ export INFOPATH=$HOME/.guix-profile/share/info:/run/current-system/profile/share
 export XDG_DATA_DIRS=$HOME/.guix-profile/share:/run/current-system/profile/share
 export XDG_CONFIG_DIRS=$HOME/.guix-profile/etc/xdg:/run/current-system/profile/etc/xdg
 
+# 'GTK_DATA_PREFIX' must name one directory where themes are searched for.
+export GTK_DATA_PREFIX=/run/current-system/profile
+
 # Ignore the default value of 'PATH'.
 unset PATH